<!-- <table mat-table [dataSource]="tableManager.rows">
  <ng-container
    *ngFor="let columnDef of tableManager.columnDefs"
    [matColumnDef]="columnDef.name"
  >
    <th mat-header-cell *matHeaderCellDef>{{ columnDef.header }}</th>
    <td mat-cell *matCellDef="let element">{{ element[columnDef.field] }}</td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="tableManager.columnNames; sticky: true"></tr>
  <tr mat-row *matRowDef="let row; columns: tableManager.columnNames" (click)="onRowClick(row)"></tr>
</table> -->
